/* Gauss.h -- Provides Gaussian matrix inversion routines
 *
 * Author: Dylan Muir (dr.muir@student.qut.edu.au)
 *         (c) QUT MLRC Semester 2 2000
 * Date: November, 1999
 * Modified: 21st November, 2000
 * Version: 0.02
 */

#ifndef	__gauss_h
#define	__gauss_h

/* -- Function GaussJordanInverse
 * Pre: 'matrix' is a square double 2d array allocated by 'Allocate2dArray'
 *      'inverse' is a square double 2d array allocated by 'Allocate2dArray', the
 *       same dimensions as 'matrix'
 *      'size' is the number of rows in 'matrix' and 'inverse'
 * Post: ('matrix' has been inverted and placed into 'inverse' &&
 *        'matrix' is unchanged && TRUE was returned) ||
 *       ('matrix' is singular && 'inverse' is undefined && FALSE was returned)
 */
bool GaussJordanInverse(double **matrix, double **inverse, int size);

#endif	/* __gauss_h */

/* --- END of gauss.h --- */
